﻿using System;
using System.IO;
using System.IO.Ports;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConnectSimplify3D {
	class Program {
		static void comConnect(string PortName) {
			int BaudRate = 115200;
			Parity Parity = Parity.None;
			int DataBits = 8;
			StopBits StopBits = StopBits.One;

			SerialPort myPort =	new SerialPort(PortName, BaudRate, Parity, DataBits, StopBits);
			myPort.Open();
			System.Text.Encoding enc = System.Text.Encoding.UTF8;

			while (myPort.IsOpen) {
				string receivedData = myPort.ReadLine();
				switch(receivedData) {
				case "M108 T0":
					myPort.WriteLine("CMD M108 Received.");
					myPort.WriteLine("ok");
					break;
				case "M105":
					myPort.WriteLine("CMD M105 Received.");
					myPort.WriteLine("T0:14 /0 B:10/1");
					myPort.WriteLine("ok");
					break;
				case "M119":
					myPort.WriteLine("CMD M119 Received.");
					break;
				}
				Console.WriteLine(receivedData);
			}
		}
		static void Main(string[] args) {
			comConnect("COM4");
		}
	}
}
